summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xjjb/apex/apex-build.sh4
-rw-r--r--jjb/apex/apex.yml1
-rw-r--r--jjb/apex/apex.yml.j21
3 files changed, 4 insertions, 2 deletions
diff --git a/jjb/apex/apex-build.sh b/jjb/apex/apex-build.sh
index 4e20df96a..bf660a42c 100755
--- a/jjb/apex/apex-build.sh
+++ b/jjb/apex/apex-build.sh
@@ -9,7 +9,7 @@ echo
# create the cache directory if it doesn't exist
[[ -d $CACHE_DIRECTORY ]] || mkdir -p $CACHE_DIRECTORY
# set OPNFV_ARTIFACT_VERSION
-if echo $BUILD_TAG | grep "apex-verify" 1> /dev/null; then
+if echo $ARTIFACT_VERSION | grep "apex-verify" 1> /dev/null; then
export OPNFV_ARTIFACT_VERSION="dev${GERRIT_CHANGE_NUMBER}${GERRIT_PATCHSET_NUMBER}"
export BUILD_ARGS="-r $OPNFV_ARTIFACT_VERSION -c $CACHE_DIRECTORY"
elif echo $BUILD_TAG | grep "csit" 1> /dev/null; then
@@ -42,7 +42,7 @@ echo "Cache Directory Contents:"
echo "-------------------------"
ls -al $CACHE_DIRECTORY
-if ! echo $BUILD_TAG | grep "apex-verify" 1> /dev/null; then
+if ! echo $ARTIFACT_VERSION | grep "apex-verify" 1> /dev/null; then
echo "Writing opnfv.properties file"
# save information regarding artifact into file
(
diff --git a/jjb/apex/apex.yml b/jjb/apex/apex.yml
index 2d4e7f75b..c3e23bae6 100644
--- a/jjb/apex/apex.yml
+++ b/jjb/apex/apex.yml
@@ -183,6 +183,7 @@
- name: 'apex-build-{stream}'
current-parameters: false
predefined-parameters: |
+ ARTIFACT_VERSION=$ARTIFACT_VERSION
GERRIT_BRANCH=$GERRIT_BRANCH
GERRIT_REFSPEC=$GERRIT_REFSPEC
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
diff --git a/jjb/apex/apex.yml.j2 b/jjb/apex/apex.yml.j2
index d88fcd372..2e179d470 100644
--- a/jjb/apex/apex.yml.j2
+++ b/jjb/apex/apex.yml.j2
@@ -183,6 +183,7 @@
- name: 'apex-build-{stream}'
current-parameters: false
predefined-parameters: |
+ ARTIFACT_VERSION=$ARTIFACT_VERSION
GERRIT_BRANCH=$GERRIT_BRANCH
GERRIT_REFSPEC=$GERRIT_REFSPEC
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER